BatchTest.ConcurrentBatchingHelper (jTDS API)
Date: 2013-06-08

net.sourceforge.jtds.jdbc

## Class BatchTest.ConcurrentBatchingHelper

- java.lang.Object
- - java.lang.Thread
  - - net.sourceforge.jtds.jdbc.BatchTest.ConcurrentBatchingHelper

- All Implemented Interfaces:
    java.lang.Runnable
  Enclosing class:
    BatchTest

      private class BatchTest.ConcurrentBatchingHelper
      extends java.lang.Thread

  Helper thread used by `testConcurrentBatching()` to execute a batch within a transaction that is then rolled back. Starting a couple of these threads concurrently should show whether there are any race conditions WRT preparation and execution in the batching implementation.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.lang.Thread

      `java.lang.Thread.State, java.lang.Thread.UncaughtExceptionHandler`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.sql.Connection` | `con` Connection on which to do the work.
    `private java.util.Vector` | `exceptions` Container to store any exceptions into.

    - ### Fields inherited from class java.lang.Thread

      `MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BatchTest.ConcurrentBatchingHelper(java.sql.Connection con, java.util.Vector exceptions)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `run()`

    - ### Methods inherited from class java.lang.Thread

      `activeCount, checkAccess, clone, countStackFrames, currentThread, destroy, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, start, stop, stop, suspend, toString, yield`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### con

          private java.sql.Connection con

      Connection on which to do the work.

    - #### exceptions

          private java.util.Vector exceptions

      Container to store any exceptions into.

  - ### Constructor Detail

    - #### BatchTest.ConcurrentBatchingHelper

          BatchTest.ConcurrentBatchingHelper(java.sql.Connection con,
                                            java.util.Vector exceptions)

  - ### Method Detail

    - #### run

          public void run()

      Specified by:
        `run` in interface `java.lang.Runnable`
      Overrides:
        `run` in class `java.lang.Thread`

Generated on June 8 2013